Расширенный

DSA-376-2 exim -- переполнение буфера

DSA-376-2 exim -- переполнение буфера

7 Апреля 2015
Уровень опасности
Оценка CVSS
(AV:N/AC:L/Au:N/C:P/I:P/A:P)
Производитель ПО
Наименование ПО
exim (any)
eximon (any)
exim-tls (any)
Описание
Обнаружена возможность переполнения буфера в exim, стандартном
агенте транспортировки писем Debian. Подавая специальные команды
HELO или EHLO, нападающий может вызвать запись постоянной строки
за конец буфера, выделенного в куче. На данный момент считается,
что эта уязвимость не может использоваться для выполнения произвольного
кода.
В стабильном дистрибутиве (woody) эта проблема исправлена
в версии 3.35-1woody2 пакета exim и версии 3.35-3woody1 пакета
exim-tls.
В нестабильном дистрибутиве (sid) эта проблема исправлена
в версии 3.36-8 пакета exim. Нестабильный дистрибутив не содержит
пакета exim-tls.
Мы рекомендуем вам обновить пакет exim или exim-tls.
Как исправить
Проблема может быть решена обновлением операционной системы до следующих версий пакетов в зависимости от архитектуры:
Debian GNU/Linux 3.0:
ppc:
exim - 3.35-1woody2
eximon - 3.35-1woody2
exim-tls - 3.35-3woody1
s390x:
exim - 3.35-1woody2
eximon - 3.35-1woody2
exim-tls - 3.35-3woody1
m68k:
exim - 3.35-1woody2
eximon - 3.35-1woody2
exim-tls - 3.35-3woody1
i686:
exim - 3.35-1woody2
eximon - 3.35-1woody2
exim-tls - 3.35-3woody1
hppa:
exim - 3.35-1woody2
eximon - 3.35-1woody2
exim-tls - 3.35-3woody1
sparc:
exim - 3.35-1woody2
eximon - 3.35-1woody2
exim-tls - 3.35-3woody1
alpha:
exim - 3.35-1woody2
eximon - 3.35-1woody2
exim-tls - 3.35-3woody1
ia64:
exim - 3.35-1woody2
eximon - 3.35-1woody2
exim-tls - 3.35-3woody1
mips:
exim - 3.35-1woody2
eximon - 3.35-1woody2
exim-tls - 3.35-3woody1
mipsel:
exim - 3.35-1woody2
eximon - 3.35-1woody2
exim-tls - 3.35-3woody1
arm:
exim - 3.35-1woody2
eximon - 3.35-1woody2
exim-tls - 3.35-3woody1
Ссылки
http://www.debian.org/security/dsa-376/

Источни: CVE
Наименование: CVE-2003-0743
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0743